


#include "signon-enum-types.h"
#include "signon-errors.h"
#include "signon-internals.h"
#define g_intern_static_string(s) (s)

/* enumerations from "signon-errors.h" */
GType
signon_error_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { SIGNON_ERROR_UNKNOWN, "SIGNON_ERROR_UNKNOWN", "unknown" },
      { SIGNON_ERROR_INTERNAL_SERVER, "SIGNON_ERROR_INTERNAL_SERVER", "internal-server" },
      { SIGNON_ERROR_INTERNAL_COMMUNICATION, "SIGNON_ERROR_INTERNAL_COMMUNICATION", "internal-communication" },
      { SIGNON_ERROR_PERMISSION_DENIED, "SIGNON_ERROR_PERMISSION_DENIED", "permission-denied" },
      { SIGNON_ERROR_METHOD_NOT_KNOWN, "SIGNON_ERROR_METHOD_NOT_KNOWN", "method-not-known" },
      { SIGNON_ERROR_SERVICE_NOT_AVAILABLE, "SIGNON_ERROR_SERVICE_NOT_AVAILABLE", "service-not-available" },
      { SIGNON_ERROR_INVALID_QUERY, "SIGNON_ERROR_INVALID_QUERY", "invalid-query" },
      { SIGNON_ERROR_METHOD_NOT_AVAILABLE, "SIGNON_ERROR_METHOD_NOT_AVAILABLE", "method-not-available" },
      { SIGNON_ERROR_IDENTITY_NOT_FOUND, "SIGNON_ERROR_IDENTITY_NOT_FOUND", "identity-not-found" },
      { SIGNON_ERROR_STORE_FAILED, "SIGNON_ERROR_STORE_FAILED", "store-failed" },
      { SIGNON_ERROR_REMOVE_FAILED, "SIGNON_ERROR_REMOVE_FAILED", "remove-failed" },
      { SIGNON_ERROR_SIGNOUT_FAILED, "SIGNON_ERROR_SIGNOUT_FAILED", "signout-failed" },
      { SIGNON_ERROR_IDENTITY_OPERATION_CANCELED, "SIGNON_ERROR_IDENTITY_OPERATION_CANCELED", "identity-operation-canceled" },
      { SIGNON_ERROR_CREDENTIALS_NOT_AVAILABLE, "SIGNON_ERROR_CREDENTIALS_NOT_AVAILABLE", "credentials-not-available" },
      { SIGNON_ERROR_REFERENCE_NOT_FOUND, "SIGNON_ERROR_REFERENCE_NOT_FOUND", "reference-not-found" },
      { SIGNON_ERROR_MECHANISM_NOT_AVAILABLE, "SIGNON_ERROR_MECHANISM_NOT_AVAILABLE", "mechanism-not-available" },
      { SIGNON_ERROR_MISSING_DATA, "SIGNON_ERROR_MISSING_DATA", "missing-data" },
      { SIGNON_ERROR_INVALID_CREDENTIALS, "SIGNON_ERROR_INVALID_CREDENTIALS", "invalid-credentials" },
      { SIGNON_ERROR_NOT_AUTHORIZED, "SIGNON_ERROR_NOT_AUTHORIZED", "not-authorized" },
      { SIGNON_ERROR_WRONG_STATE, "SIGNON_ERROR_WRONG_STATE", "wrong-state" },
      { SIGNON_ERROR_OPERATION_NOT_SUPPORTED, "SIGNON_ERROR_OPERATION_NOT_SUPPORTED", "operation-not-supported" },
      { SIGNON_ERROR_NO_CONNECTION, "SIGNON_ERROR_NO_CONNECTION", "no-connection" },
      { SIGNON_ERROR_NETWORK, "SIGNON_ERROR_NETWORK", "network" },
      { SIGNON_ERROR_SSL, "SIGNON_ERROR_SSL", "ssl" },
      { SIGNON_ERROR_RUNTIME, "SIGNON_ERROR_RUNTIME", "runtime" },
      { SIGNON_ERROR_SESSION_CANCELED, "SIGNON_ERROR_SESSION_CANCELED", "session-canceled" },
      { SIGNON_ERROR_TIMED_OUT, "SIGNON_ERROR_TIMED_OUT", "timed-out" },
      { SIGNON_ERROR_USER_INTERACTION, "SIGNON_ERROR_USER_INTERACTION", "user-interaction" },
      { SIGNON_ERROR_OPERATION_FAILED, "SIGNON_ERROR_OPERATION_FAILED", "operation-failed" },
      { SIGNON_ERROR_ENCRYPTION_FAILED, "SIGNON_ERROR_ENCRYPTION_FAILED", "encryption-failed" },
      { SIGNON_ERROR_TOS_NOT_ACCEPTED, "SIGNON_ERROR_TOS_NOT_ACCEPTED", "tos-not-accepted" },
      { SIGNON_ERROR_FORGOT_PASSWORD, "SIGNON_ERROR_FORGOT_PASSWORD", "forgot-password" },
      { SIGNON_ERROR_METHOD_OR_MECHANISM_NOT_ALLOWED, "SIGNON_ERROR_METHOD_OR_MECHANISM_NOT_ALLOWED", "method-or-mechanism-not-allowed" },
      { SIGNON_ERROR_INCORRECT_DATE, "SIGNON_ERROR_INCORRECT_DATE", "incorrect-date" },
      { SIGNON_ERROR_USER_ERROR, "SIGNON_ERROR_USER_ERROR", "user-error" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static (g_intern_static_string ("SignonError"), values);
  }
  return etype;
}

#define __SIGNON_ENUM_TYPES_C__



